Skip to content

Delete All IoCs

DELETE/firewall-config/firewalls/{firewallId}/mdr-threat-feed/indicators

Firewall Management API · Firewall Config

Delete all IoCs of mdr-threat-feed for given firewall.

Required permissionfwcm.firewall.api.config:write

Parameters

Name In Type Required Description
X-Tenant-ID header string (uuid) Yes Tenant ID.
firewallId path string (uuid) Yes Firewall ID.

Request samples

curl -X DELETE "https://api-<data-region>.central.sophos.com/firewall/v1/firewall-config/firewalls/<firewallId>/mdr-threat-feed/indicators" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>"

import requests

response = requests.delete(
    "https://api-<data-region>.central.sophos.com/firewall/v1/firewall-config/firewalls/<firewallId>/mdr-threat-feed/indicators",
    headers={
        "Authorization": "Bearer <access-token>",
        "X-Tenant-ID": "<tenant-id>",
    },
)
print(response.json())

$headers = @{
    "Authorization" = "Bearer <access-token>"
    "X-Tenant-ID" = "<tenant-id>"
}
Invoke-RestMethod -Method DELETE -Uri "https://api-<data-region>.central.sophos.com/firewall/v1/firewall-config/firewalls/<firewallId>/mdr-threat-feed/indicators" -Headers $headers

package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    req, err := http.NewRequest("DELETE", "https://api-<data-region>.central.sophos.com/firewall/v1/firewall-config/firewalls/<firewallId>/mdr-threat-feed/indicators", nil)
    if err != nil {
        panic(err)
    }
    req.Header.Set("Authorization", "Bearer <access-token>")
    req.Header.Set("X-Tenant-ID", "<tenant-id>")

    resp, err := http.DefaultClient.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}

const response = await fetch("https://api-<data-region>.central.sophos.com/firewall/v1/firewall-config/firewalls/<firewallId>/mdr-threat-feed/indicators", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer <access-token>",
    "X-Tenant-ID": "<tenant-id>",
  },
});
const data = await response.json();
console.log(data);

Responses

202 — Request accepted.

Response fields

transactionIdstring (uuid)required

Errors

Status Meaning
400 Bad request.
401 Authentication required.
403 Authorization required.
404 Resource not found.
500 Unexpected error.

All error responses share the same shape — see the error response object.

Response examples

202

{
  "transactionId": "00000000-0000-0000-0000-000000000000"
}

See the guide for a narrative walkthrough of this API.